## org.hibernate.cache.ehcache.management.impl
Interface EhcacheHibernateMBeanRegistration

All Known Implementing Classes:
  EhcacheHibernateMBeanRegistrationImpl

    public interface EhcacheHibernateMBeanRegistration

Interface for helping registering mbeans for ehcache backed hibernate second-level cache

Method Summary
`void` `enableHibernateStatisticsSupport(SessionFactory sessionFactory)` Enable hibernate statistics in the mbean.
`void` `registerMBeanForCacheManager(net.sf.ehcache.CacheManager manager, Properties properties)` Registers MBean for the input manager and session factory properties.

Method Detail

### registerMBeanForCacheManager

    void registerMBeanForCacheManager(net.sf.ehcache.CacheManager manager,
                                      Properties properties)
                                      throws Exception

  Registers MBean for the input manager and session factory properties.

  MBeans will be registered based on the input session factory name. If the input name is null or blank, the name of the cache-manager is used

  Parameters:
    `manager` -
    `properties` -
  Throws:
    `Exception`

### enableHibernateStatisticsSupport

    void enableHibernateStatisticsSupport(SessionFactory sessionFactory)

  Enable hibernate statistics in the mbean.

  Parameters:
    `sessionFactory` -

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.